petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFieldSplitSetSchurScale

Controls the sign flip of S for PC_FIELDSPLIT_SCHUR_FACT_DIAG.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetSchurScale(PC pc,PetscScalar scale)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| scale | - scaling factor for the Schur complement

### Options Database

-pc_fieldsplit_schur_scale -default is -1.0

### See Also

PCFIELDSPLIT, PCFieldSplitSetFields(), PCFieldSplitSchurFactType, PCFieldSplitSetSchurScale()

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

### Implementations

PCFieldSplitSetSchurScale_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages